import { CanvasTerm } from "./term.ts";
import { KeyListenerInput } from "./program.ts";
import { Shell } from "./shell.ts";
import { createRootFileSystem, Session } from "./session.ts";

async function main() {
    const term = new CanvasTerm();
    term.init();

    const input = new KeyListenerInput(term);

    const username = "user";
    const root = await createRootFileSystem(username);
    const session = new Session(root, username);
    session.cd(`/home/${username}`);

    await new Shell()
        .run({ input, term, session }, []);
}

main();
